2

I tried upgrading a Craft 3.0 installation to 3.1, and got the following error:

"value of craft/web/Application::getIsLive() must be of type boolean, null returned"

Has anyone else run into this? Does anyone know a fix?

  • hmm, not sure, but. Have you tried surfing to yoursitename.com/admin/settings/plugins ? Think you will have to accept some database updates. – Jan_dh Jan 28 '19 at 20:26
  • It's erroring out on the admin side of things too. – watchwood Jan 29 '19 at 14:01
  • I know but you have to allow Craft to make some database changes before 3.1 can work. – Jan_dh Jan 29 '19 at 15:08
  • OK, how do I do that when the entire admin panel is also throwing errors? – watchwood Jan 29 '19 at 15:14
4

I resolved this by adding 'isSystemLive' => true in general.php

| improve this answer | |
1

"value of craft/web/Application::getIsLive() must be of type boolean, null returned"

If you're getting that, then $this->getProjectConfig()->get('system.live'); (which is what that line is using), is returning something other than true or false, then some update along with the way in all of your attempts didn't complete correctly.

If you happen to have a 3.0.x database backup from before you started this available, then try restoring from that and attempting the update to 3.1 again noting any errors you might be receiving during the update process first.

| improve this answer | |

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.